<template>
</template>

<script>
	export default({
		onLoad(option) {
			console.log('option', 'aa')
			let lat = option.location.split(',')[0]
			let lng = option.location.split(',')[1]
			uni.openLocation({
				latitude: Number(lat),
				longitude: Number(lng),
				success: function () {
					uni.setStorageSync('hasForward', 1)
				}
			});
		},
		onShow() {
			let hasForward = uni.getStorageSync('hasForward')
			if (hasForward) {
				uni.removeStorageSync('hasForward')
				uni.navigateBack()
			}
		}
	})
</script>

<style>
</style>